 <script type="text/javascript">
<c:forEach var="passengerRoomSummary" items="${bookingComponent.passengerRoomSummary}" >
<c:forEach var="passenger" items="${passengerRoomSummary.value}" >
<c:if test="${passenger.leadPassenger=='true'}">
<c:set var="leadTitle" value="${passenger.title}" />
var leadTitle = "${passenger.title}";
var leadForeName = "${passenger.foreName}";
var leadLastName = "${passenger.lastName}";
<c:set var="leadForeName" value="${passenger.foreName}"/>
<c:set var="leadMiddleName" value="${passenger.middleName}" />
<c:set var="leadLastName" value="${passenger.lastName}"/>
</c:if>
</c:forEach>
</c:forEach>
//setTitle();
	function setTitle() {
		/*var titles = document.getElementById("passengerTitle0");
		for ( var i = 0; i < titles.options.length; i++) {
			if (titles.options[i].value == leadTitle)
				titles.options[i].selected = true;
		}*/
		jQuery('#passengerTitle0').val(leadTitle);
	}

	function checkBox() {
		var temp = document.getElementById("cardHolderCheck");
		if (temp.checked == false) {
			return true;
		}
		return false;

	}
	function resetAddressFields() {
			resetClass();
			setTitle();
			document.getElementById("firstname").value = leadForeName;
			document.getElementById("surname").value = leadLastName;
			document.getElementById("houseName").value = "${bookingComponent.contactInfo.houseDetails}";
			document.getElementById("addressLine1").value = "${bookingComponent.contactInfo.streetAddress1}";
			document.getElementById("addressLine2").value = "${bookingComponent.contactInfo.streetAddress2}";
			document.getElementById("city").value = "${bookingComponent.contactInfo.city}";
			document.getElementById("county").value = "${bookingComponent.contactInfo.county}";
			document.getElementById("postCode").value = "${bookingComponent.contactInfo.postCode}";
	}
	function resetClass() {
			jQuery("#edit-addr .row").removeClass("valid");
			jQuery("#edit-addr .row").removeClass("error");
			jQuery("#edit-addr .message").remove();
	}

	function showDiv() {
			
			document.getElementById("passengerTitle0").value = "";
			document.getElementById("passengerTitle").innerHTML = document.getElementById("passengerTitle0").options[0].text;
            document.getElementById("firstname").value = '';
			document.getElementById("surname").value = '';
			document.getElementById("houseName").value = '';
			document.getElementById("addressLine1").value = '';
			document.getElementById("addressLine2").value = '';
			document.getElementById("city").value = '';
			document.getElementById("postCode").value = '';
		    document.getElementById("county").value = '';
			
		
		}
		
</script>
                                         <div class="component" id="ddcomponent-hide">
                                        <div class="section-heading bf-first">
											<h2 class="icon-v2 icon-TUI_SinglePerson dark-blue">
												<span class="tui-font">Card Holder details</span>
											</h2>
										</div>
										
										<div class="select-block  b lowercase size-15 grey-dark more-pad-left">
												<!-- Note for js: span.hit-area is clickable -->
												<input hidden="true" type="checkbox" style="visibility:hidden;" name="addressSameAsLeadPassenger" id="addressSameAsLeadPassenger" gfv_required="required" value="true" chkit="yes">
												<span class="click-area fl">													
													<span class="radio check active "></span>
												</span>
												
												<p class="marg-bottom-10 marg-left-10 size-16 fl same-as-lead-text">Same address as the lead passenger - <c:out value="${leadTitle}" /> <c:out value="${leadForeName}" /> <c:out value="${leadMiddleName}" /> <c:out value="${leadLastName}" /></p>
											</div>
										<div class="show" id="default-addr">
										
										
											
											
											<!--<p class="marg-bottom-10 size-16">Same address as the lead passenger - <c:out value="${leadTitle}" /> <c:out value="${leadForeName}" /> <c:out value="${leadMiddleName}" /> <c:out value="${leadLastName}" /></p>-->
											<!--<p class="marg-bottom-10  pad-10 grey-med">
												<c:out value="${bookingComponent.contactInfo.houseDetails}" />,<br /> 
												<c:out value="${bookingComponent.contactInfo.streetAddress1}" />,<br /> 
												<c:out value="${bookingComponent.contactInfo.city}" />,<br />
												<c:out value="${bookingComponent.contactInfo.county}" /><br />
												<c:out value="${bookingComponent.contactInfo.postCode}" />
											</p>
											
											<a class="dis-block size-15" id="changeAddr" style= "cursor:pointer" ><i class="caret link"></i>Change or enter a different address</a>
											-->
											<c:choose>
												<c:when test="${param.changeAddressCheckBox == 'true' }">
														<input type="hidden" id="changeAddressCheckBox" name="changeAddressCheckBox" value="true"/>
												</c:when>
											   <c:otherwise>
														<input type="hidden" id="changeAddressCheckBox" name="changeAddressCheckBox" value="false"/>
											  </c:otherwise>
                                            </c:choose>
											
                                        </div>
										<%@include file="manualAddress.jspf"%>
										</div>